## tkabber 0.9.6beta

=== Makefile ===
# $Id: Makefile,v 1.5 2003/11/29 19:12:45 aleksey Exp $

PREFIX = /usr/local

SUBDIRS = aniemoteicons     \
          emoticons-tkabber \
          plugins           \
          jabberlib-tclxml  \
          pixmaps           \
	  sounds	    \
	  textundo	    \
	  msgs		    \
	  mclistbox-1.02

install:
	mkdir -p $(DESTDIR)/$(PREFIX)/share/tkabber
	cp -r *.tcl *.xrdb $(SUBDIRS) $(DESTDIR)/$(PREFIX)/share/tkabber
	mkdir -p $(DESTDIR)/$(PREFIX)/share/doc/tkabber/
	cp -r examples $(DESTDIR)/$(PREFIX)/share/doc/tkabber
	mkdir -p $(DESTDIR)/$(PREFIX)/bin/
	echo -e "#!/bin/sh\nexec wish $(PREFIX)/share/tkabber/tkabber.tcl -name tkabber \"\$$@\"\n" > $(DESTDIR)/$(PREFIX)/bin/tkabber
	chmod +x $(DESTDIR)/$(PREFIX)/bin/tkabber

## tkabber 0.9.8

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,11 @@
-# $Id: Makefile,v 1.5 2003/11/29 19:12:45 aleksey Exp $
+# $Id: Makefile,v 1.7 2003/12/29 10:30:54 aleksey Exp $
 
 PREFIX = /usr/local
 
 SUBDIRS = aniemoteicons     \
           emoticons-tkabber \
+	  ifaceck           \
+	  ifacetk           \
           plugins           \
           jabberlib-tclxml  \
           pixmaps           \
@@ -14,7 +16,7 @@
 
 install:
 	mkdir -p $(DESTDIR)/$(PREFIX)/share/tkabber
-	cp -r *.tcl *.xrdb $(SUBDIRS) $(DESTDIR)/$(PREFIX)/share/tkabber
+	cp -r *.tcl $(SUBDIRS) $(DESTDIR)/$(PREFIX)/share/tkabber
 	mkdir -p $(DESTDIR)/$(PREFIX)/share/doc/tkabber/
 	cp -r examples $(DESTDIR)/$(PREFIX)/share/doc/tkabber
 	mkdir -p $(DESTDIR)/$(PREFIX)/bin/

## tkabber 0.9.9

=== Makefile ===
# $Id: Makefile,v 1.8 2006/05/26 22:01:38 aleksey Exp $

PREFIX = /usr/local

SUBDIRS = aniemoteicons     \
          emoticons-tkabber \
	  ifacetk           \
          jabberlib-tclxml  \
	  mclistbox-1.02    \
	  msgs		    \
          pixmaps           \
          plugins           \
	  sounds	    \
	  textundo

install:
	mkdir -p $(DESTDIR)/$(PREFIX)/share/tkabber
	cp -r *.tcl $(SUBDIRS) $(DESTDIR)/$(PREFIX)/share/tkabber
	mkdir -p $(DESTDIR)/$(PREFIX)/share/doc/tkabber/html/
	cp -r examples $(DESTDIR)/$(PREFIX)/share/doc/tkabber
	cp README COPYING AUTHORS $(DESTDIR)/$(PREFIX)/share/doc/tkabber
	cp doc/tkabber.html $(DESTDIR)/$(PREFIX)/share/doc/tkabber/html
	mkdir -p $(DESTDIR)/$(PREFIX)/bin/
	echo -e "#!/bin/sh\nexec wish $(PREFIX)/share/tkabber/tkabber.tcl -name tkabber \"\$$@\"\n" > $(DESTDIR)/$(PREFIX)/bin/tkabber
	chmod +x $(DESTDIR)/$(PREFIX)/bin/tkabber

## tkabber 0.10.0

=== Makefile ===
# $Id: Makefile 1010 2007-03-04 17:20:11Z sergei $

PREFIX = /usr/local
TKABBERDIR = $(PREFIX)/share/tkabber
DOCDIR = $(PREFIX)/share/doc/tkabber
BINDIR = $(PREFIX)/bin

SUBDIRS = emoticons       \
	  ifacetk         \
	  jabberlib-tclxml\
	  mclistbox       \
	  msgs            \
	  pixmaps         \
	  plugins         \
	  sounds          \
	  trans

install: install-bin install-doc install-examples

install-bin:
	mkdir -p $(DESTDIR)/$(TKABBERDIR)
	cp -r *.tcl $(SUBDIRS) $(DESTDIR)/$(TKABBERDIR)
	mkdir -p $(DESTDIR)/$(BINDIR)
	echo -e "#!/bin/sh\nexec wish $(TKABBERDIR)/tkabber.tcl -name tkabber \"\$$@\"\n" \
		>$(DESTDIR)/$(BINDIR)/tkabber
	chmod 755 $(DESTDIR)/$(BINDIR)/tkabber

install-doc:
	mkdir -p $(DESTDIR)/$(DOCDIR)
	cp AUTHORS COPYING ChangeLog README doc/tkabber.html $(DESTDIR)/$(DOCDIR)

install-examples:
	mkdir -p $(DESTDIR)/$(DOCDIR)
	cp -r examples $(DESTDIR)/$(DOCDIR)

.PHONY: install install-bin install-doc install-examples

## tkabber 0.11.1

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,19 @@
-# $Id: Makefile 1010 2007-03-04 17:20:11Z sergei $
+# $Id: Makefile 1244 2007-10-06 07:53:04Z sergei $
 
 PREFIX = /usr/local
 TKABBERDIR = $(PREFIX)/share/tkabber
 DOCDIR = $(PREFIX)/share/doc/tkabber
 BINDIR = $(PREFIX)/bin
 
-SUBDIRS = emoticons       \
-	  ifacetk         \
-	  jabberlib-tclxml\
-	  mclistbox       \
-	  msgs            \
-	  pixmaps         \
-	  plugins         \
-	  sounds          \
+SUBDIRS = emoticons \
+	  ifacetk   \
+	  jabberlib \
+	  mclistbox \
+	  msgs      \
+	  pixmaps   \
+	  plugins   \
+	  sounds    \
+	  tclxml    \
 	  trans
 
 install: install-bin install-doc install-examples

## tkabber 1.1

=== Makefile ===
# $Id: Makefile 2048 2013-12-31 18:00:30Z sergei $

PREFIX = /usr/local
TKABBERDIR = $(PREFIX)/share/tkabber
DOCDIR = $(PREFIX)/share/doc/tkabber
BINDIR = $(PREFIX)/bin

SUBDIRS = emoticons \
	  ifacetk   \
	  mclistbox \
	  msgs      \
	  pixmaps   \
	  plugins   \
	  sounds    \
	  tclxmpp   \
	  trans

all: doc

doc: README doc/tkabber.html

README: doc/tkabber.xml
	(cd doc ; DISPLAY= xml2rfc tkabber.xml tkabber.txt)
	mv doc/tkabber.txt README

doc/tkabber.html: doc/tkabber.xml
	(cd doc ; DISPLAY= xml2rfc tkabber.xml tkabber.html)

install: install-bin install-doc install-examples

install-bin:
	install -d $(DESTDIR)$(TKABBERDIR)
	cp -dr --no-preserve=ownership *.tcl $(SUBDIRS) $(DESTDIR)$(TKABBERDIR)
	chmod 755 $(DESTDIR)$(TKABBERDIR)/tkabber.tcl
	chmod 755 $(DESTDIR)$(TKABBERDIR)/tkabber-remote.tcl
	install -d $(DESTDIR)$(BINDIR)
	echo "#!/bin/sh" >$(DESTDIR)$(BINDIR)/tkabber
	echo "exec $(TKABBERDIR)/tkabber.tcl \"\$$@\"" >>$(DESTDIR)$(BINDIR)/tkabber
	echo "#!/bin/sh" >$(DESTDIR)$(BINDIR)/tkabber-remote
	echo "exec $(TKABBERDIR)/tkabber-remote.tcl \"\$$@\"" >>$(DESTDIR)$(BINDIR)/tkabber-remote
	chmod 755 $(DESTDIR)$(BINDIR)/tkabber
	chmod 755 $(DESTDIR)$(BINDIR)/tkabber-remote

install-doc: doc
	install -d $(DESTDIR)$(DOCDIR)
	install -m 644 AUTHORS COPYING ChangeLog README doc/tkabber.html $(DESTDIR)$(DOCDIR)

install-examples:
	install -d $(DESTDIR)$(DOCDIR)
	cp -dr --no-preserve=ownership examples $(DESTDIR)$(DOCDIR)

.PHONY: all doc install install-bin install-doc install-examples

=== debian/changelog ===
tkabber (1.1-1) unstable; urgency=low

  * New upstream release (closes: #756550, #742867).
  * Drop obsolete patches.
  * Switch packaging to "3.0 (quilt)" format.
  * Update copyright file: DEP-5 format, mention new files.
  * Bump standards version to 3.9.6.0.
  * Recommend tcl-udp package.
  * Add "Breaks: tkabber-plugins (<< 1.1)" to prevent breakage when
    this new Tkabber version is installed along with its plugins
    matching its old version.
  * Write manual page for tkabber-remote.
  * Minor updates to tkabber(1) manual page.
  * Minor fixes to packaging files.
  * Use custom wrapper scripts to run tkabber and tkabber-remote.

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Thu, 23 Oct 2014 15:27:36 +0400

tkabber (0.11.1-3) unstable; urgency=low

  * Correct the pathname of the application icon in the .desktop file.

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Sat, 14 Jul 2012 15:30:15 +0400

tkabber (0.11.1-2) unstable; urgency=low

  * Add jlib-disconnect.patch (fixes error in [jlib::disconnect]
    which can be triggered when this command in called on an already
    teared down connection).
  * Add roster-import-rfc3921bis.patch (sends each roster contact
    being imported from a backup file each in its own IQ stanza
    as required by RFC 3921bis, closes: #567628).
  * Add German, Polish and Spanish desktop file translations.
  * Add ${misc:Depends} to the Depends field (fixes Lintian warning).

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Fri, 26 Feb 2010 03:14:41 +0300

tkabber (0.11.1-1) unstable; urgency=low

  * New upstream release.
  * Remove obsolete patches.
  * Fix bashism in Makefile install-bin target.
  * Move to debhelper 7, standards 3.8.3.
  * Depend on tk | wish.
  * Add README.source.
  * Add tkabber.desktop.
  * Bump version of suggested tkabber-plugins to 0.11.1.
  * Add libsnack2 to the list of suggested packages.
  * Add Vcs-git, Vcs-browser and Homepage fields to control file.

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Sat, 31 Oct 2009 16:50:42 +0300

tkabber (0.11.0-3) unstable; urgency=low

  * Integrated patch fixing problem with connecting to
    Google Talk servers (closes: #505103).

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Sun, 09 Nov 2008 16:28:45 +0300

tkabber (0.11.0-2) unstable; urgency=low

  * Integrated upstream fix for the error in the implementation
    of BASIC HTTP proxy authentication mechanism (closes: #492929).
  * Integrated upstream fix for the "sticky proxy server settings"
    (closes: #493010).

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Tue, 29 Jul 2008 23:51:13 +0000

tkabber (0.11.0-1) unstable; urgency=low

  * New maintainer: Konstantin Khomoutov <flatworm@users.sourceforge.net>
    (closes: #465690).
  * New upstream release.
  * Introduced build dependency on quilt.
  * Added patches which fix two major bugs crept into the new release:
    incorrect processing of xmpp:urn:time IQ requests and typo in
    the HTTP proxy basic authentication code resulted in runtime error.
  * Simplified debian/rules to make more use of the Tkabber's own Makefile.
  * tkabber.html is now installed as part of the documentation instead
    of tkabber.xml; also it's registered with doc-base, if available.
  * Removed tkabber.sgml in favor of more simplistic tkabber.1 nroff file.
  * Changed descriptions of package in debian/control to make them
    more informative; "tkabber-plugins" package is mentioned.
  * Manual page corrected: some wording changed, provided more links
    to other documentation sources.

 -- Konstantin Khomoutov <flatworm@users.sourceforge.net>  Sun, 22 Jun 2008 02:53:58 +0400

tkabber (0.10.0-3) unstable; urgency=low

  * Allow tk8.5 and tcl8.5 as alternatives in depends. Thanks to Alexander
    Galanin <gaa.nnov@mail.ru>. (closes: #465787)
  * Bump standards-version to 3.7.3
    - Change menu section from Apps/Net to Applications/Network/Communication
  * Do some debian/rules cleanup
  * Update debian/copyright to actually mention copyright and to reflect the
    upstream license (GPL, not limited to version 2.1)

 -- Jonas Meurer <mejo@debian.org>  Wed, 19 Mar 2008 01:24:44 +0100

tkabber (0.10.0-2) unstable; urgency=low

  * Minor improvements and fixes suggested by Sergei Golovan, closes: #423161
    - fix upstream url in copyright and watch file
    - add long title to menu file
    - add -X.tcl -X.xrdb to dh_compress to prevent these files from being
      compressed in the examples directory.
    - add a new tkabber.xpm from Sergei Golovan <sgolovan@nes.ru>
  * Minor improvements for the manpage.

 -- Jonas Meurer <mejo@debian.org>  Wed, 16 May 2007 19:12:44 +0200

tkabber (0.10.0-1) unstable; urgency=low

  * New upstream release. (closes: #421067)

 -- Jonas Meurer <mejo@debian.org>  Fri, 27 Apr 2007 14:02:06 +0200

tkabber (0.9.9-2)  unstable; urgency=low

  * use upstream Makefile for build process
  * reintroduce binary-arch and binary-indep targets in debian/rules.
    Thanks to Aurelien Jarno <aurel32@debian.org>. (closes: #395811)
  * urgency=HIGH as this indeed is a rc bug.

 -- Jonas Meurer <mejo@debian.org>  Mon, 30 Oct 2006 16:02:34 +0100

tkabber (0.9.9-1) unstable; urgency=low

  * new upstream release (closes: #373891)
  * bump standards-version to 3.7.2
  * bump debhelper compat and build-depends to 5

 -- Jonas Meurer <mejo@debian.org>  Fri, 16 Jun 2006 14:53:23 +0200

tkabber (0.9.8-1) unstable; urgency=low

  * new upstream release
  * bumped standards-version to 3.6.2
  * updated FSF address
  * set architecture to all, make package arch-independant

 -- Jonas Meurer <mejo@debian.org>  Mon, 26 Sep 2005 00:07:12 +0200

tkabber (0.9.7-5) unstable; urgency=low

  * remove duplicate in documentation (closes: #293400)
  * updated debian/watch file

 -- Jonas Meurer <mejo@debian.org>  Mon, 11 Apr 2005 15:59:30 +0200

tkabber (0.9.7-4) unstable; urgency=low



=== debian/control ===
Source: tkabber
Section: net
Priority: optional
Maintainer: Konstantin Khomoutov <flatworm@users.sourceforge.net>
Build-Depends: debhelper (>= 7.0.0)
Standards-Version: 3.9.6
Homepage: http://tkabber.jabber.ru
Vcs-git: git://git.debian.org/collab-maint/tkabber.git
Vcs-browser: http://git.debian.org/?p=collab-maint/tkabber.git

Package: tkabber
Architecture: all
Depends: tcl, tk, bwidget, tcllib, ${misc:Depends}
Breaks: tkabber-plugins (<< 1.1)
Recommends: tcl-tls, tcl-udp, libtk-img
Suggests: tkabber-plugins (>= 1.1), tcl-snack
Description: GUI client for XMPP (Jabber) instant messaging protocol
 Tkabber is a GUI client for XMPP (Jabber) instant messaging protocol.
 It provides full support of basic XMPP specifications as well as many
 protocol extensions (XEPs), such as multi-user conferencing,
 file transfers, extensive handling of privacy lists and much more.
 Tkabber is written in Tcl/Tk and thus is easily extensible.
 .
 Also a rich set of Tkabber external plugins is available
 in the package named "tkabber-plugins".

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

manpages = debian/tkabber.1 debian/tkabber-remote.1

SCRIPTDIR = $(CURDIR)/debian/tkabber/usr/share/tkabber

build: build-arch build-indep

build-arch:

build-indep: build-stamp
build-stamp:
	dh_testdir
	touch $@

clean:
	dh_testdir
	dh_testroot
	dh_clean build-stamp install-stamp tclxmpp.changelog
	-rm -r examples/tclxmpp

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	make PREFIX=/usr DESTDIR=$(CURDIR)/debian/tkabber install-bin install-examples
	cp debian/tkabber.xpm $(CURDIR)/debian/tkabber/usr/share/pixmaps
	rm $(SCRIPTDIR)/tclxmpp/license.terms
	rm $(SCRIPTDIR)/tclxmpp/ChangeLog
	rm -r $(SCRIPTDIR)/tclxmpp/examples
	rm -r $(SCRIPTDIR)/tclxmpp/doc
	chmod 644 "$(SCRIPTDIR)/tkabber.tcl" "$(SCRIPTDIR)/tkabber-remote.tcl"
	ln tclxmpp/ChangeLog tclxmpp.changelog
	cp -a tclxmpp/examples examples/tclxmpp
	touch $@

# Required by the policy, does nothing.
binary-arch:

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs tclxmpp.changelog
	dh_installchangelogs ChangeLog
	dh_installman $(manpages)
	dh_installexamples examples/*
	dh_installmenu
	
	dh_compress -X.tcl -X.xrdb
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

.PHONY: build clean install binary-indep binary

=== debian/watch ===
version=2
http://files.jabber.ru/tkabber/tkabber.*-([\d+\.]+|\d+).tar.gz debian uupdate

## tkabber 1.1.2+20160818

=== debian/changelog ===
tkabber (1.1.2+20160818-1) unstable; urgency=medium

  * New upstream fossil snapshot.
  * Refresh patches.
  * Update the breaks section in debian/control since the current snapshot
    isn't compatible with the released plugins.
  * Switch to multiple upstream tarballs since Tkabber and TclXMPP are being
    developed in separate repositories.
  * Add the get-orig-source target to debian/rules to fetch the sources from
    upstream repositories.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 14 Apr 2018 19:48:40 +0300

tkabber (1.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop an unnecessary patch.
  * New maintainer Sergei Golovan.
  * Fix debian/watch to track .xz archives.
  * Convert debian/rules to debhelper.
  * Drop the menu item in favor of a desktop shortcut.
  * Point the VCS headers to a Salsa XMPP team project.
  * Bump the debhelper competibility level to 10.
  * Bump the standards version to 4.1.4.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 08 Apr 2018 21:17:31 +0300

tkabber (0.9.9-2) unstable; urgency=low

  * use upstream Makefile for build process
  * reintroduce binary-arch and binary-indep targets in debian/rules.
    Thanks to Aurelien Jarno <aurel32@debian.org>. (closes: #395811)
  * urgency=HIGH as this indeed is a rc bug.

 -- Jonas Meurer <mejo@debian.org>  Mon, 30 Oct 2006 16:02:34 +0100

=== debian/control ===
Source: tkabber
Section: net
Priority: optional
Maintainer: Sergei Golovan <sgolovan@debian.org>
Uploaders: Konstantin Khomoutov <flatworm@users.sourceforge.net>
Build-Depends: debhelper (>= 10.0.0)
Standards-Version: 4.1.4
Homepage: http://tkabber.jabber.ru
Vcs-Browser: https://salsa.debian.org/xmpp-team/tkabber
Vcs-Git: https://salsa.debian.org/xmpp-team/tkabber.git

Package: tkabber
Architecture: all
Depends: tcl, tk, bwidget, tcllib, tcl-tls, ${misc:Depends}
Breaks: tkabber-plugins (<< 1.1.2+20160101)
Recommends: tcl-udp, libtk-img
Suggests: tkabber-plugins (>= 1.1.2+20160101), tcl-snack
Description: GUI client for XMPP (Jabber) instant messaging protocol
 Tkabber is a GUI client for XMPP (Jabber) instant messaging protocol.
 It provides full support of basic XMPP specifications as well as many
 protocol extensions (XEPs), such as multi-user conferencing,
 file transfers, extensive handling of privacy lists and much more.
 Tkabber is written in Tcl/Tk and thus is easily extensible.
 .
 Also a rich set of Tkabber external plugins is available
 in the package named "tkabber-plugins".

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

SCRIPTDIR = $(CURDIR)/debian/tkabber/usr/share/tkabber
DOCDIR = $(CURDIR)/debian/tkabber/usr/share/doc/tkabber

override_dh_auto_install:
	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/tkabber install-bin install-examples
	rm $(SCRIPTDIR)/tclxmpp/license.terms
	rm $(SCRIPTDIR)/tclxmpp/ChangeLog
	rm -r $(SCRIPTDIR)/tclxmpp/examples
	rm -r $(SCRIPTDIR)/tclxmpp/doc
	chmod 644 $(SCRIPTDIR)/tkabber.tcl $(SCRIPTDIR)/tkabber-remote.tcl
	cp tclxmpp/ChangeLog $(DOCDIR)/tclxmpp.changelog

override_dh_compress:
	dh_compress -X.tcl -X.xrdb

VERSION = 1.1.2
DATE = 2016-08-18
VDATE = $(subst -,,$(DATE))

get-orig-source:
	wget -O tkabber_$(VERSION)+$(VDATE).orig.tar.gz \
		https://chiselapp.com/user/sgolovan/repository/tkabber/tarball/tkabber.tar.gz?r=trunk:$(DATE)
	wget -O tkabber_$(VERSION)+$(VDATE).orig-tclxmpp.tar.gz \
		https://chiselapp.com/user/sgolovan/repository/tclxmpp/tarball/tclxmpp.tar.gz?r=trunk:$(DATE)

PHONY: override_dh_auto_install override_dh_compress get-orig-source

## tkabber 1.1.2+20191012

=== debian/changelog ===
tkabber (1.1.2+20191012-1) unstable; urgency=medium

  * New upstream fossil snapshot.
  * Add the dependency on sensible-utils.
  * Bump the standards version to 4.4.1.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 20 Nov 2019 12:34:27 +0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: tkabber
 Architecture: all
-Depends: tcl, tk, bwidget, tcllib, tcl-tls, ${misc:Depends}
+Depends: tcl, tk, bwidget, tcllib, tcl-tls, sensible-utils, ${misc:Depends}
 Breaks: tkabber-plugins (<< 1.1.2+20160101)
 Recommends: tcl-udp, libtk-img
 Suggests: tkabber-plugins (>= 1.1.2+20160101), tcl-snack

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	dh_compress -X.tcl -X.xrdb
 
 VERSION = 1.1.2
-DATE = 2016-08-18
+DATE = 2019-10-12
 VDATE = $(subst -,,$(DATE))
 
 get-orig-source:

=== debian/watch ===
version=2
http://files.jabber.ru/tkabber/tkabber.*-([\d+\.]+|\d+).tar.(gz|xz) debian uupdate

## tkabber 1.1.2+20230226

=== debian/changelog ===
tkabber (1.1.2+20230226-1) unstable; urgency=medium

  * New upstream fossil snapshot.
  * Drop doc-base support.
  * Bump the debhelper compatibility level to 13.
  * Bump the standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 23 Apr 2024 14:44:34 +0300

=== debian/rules ===
--- 
+++ 
@@ -22,13 +22,12 @@
 	dh_compress -X.tcl -X.xrdb
 
 VERSION = 1.1.2
-DATE = 2019-10-12
-VDATE = $(subst -,,$(DATE))
+DATE = 20230226
 
 get-orig-source:
-	wget -O tkabber_$(VERSION)+$(VDATE).orig.tar.gz \
+	wget -O tkabber_$(VERSION)+$(DATE).orig.tar.gz \
 		https://chiselapp.com/user/sgolovan/repository/tkabber/tarball/tkabber.tar.gz?r=trunk:$(DATE)
-	wget -O tkabber_$(VERSION)+$(VDATE).orig-tclxmpp.tar.gz \
+	wget -O tkabber_$(VERSION)+$(DATE).orig-tclxmpp.tar.gz \
 		https://chiselapp.com/user/sgolovan/repository/tclxmpp/tarball/tclxmpp.tar.gz?r=trunk:$(DATE)
 
 PHONY: override_dh_auto_install override_dh_compress get-orig-source

## tkabber 1.1.2+20241018

=== debian/changelog ===
tkabber (1.1.2+20241018-1) unstable; urgency=medium

  * New upstream fossil snapshot.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 17 Feb 2025 11:28:21 +0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Sergei Golovan <sgolovan@debian.org>
 Uploaders: Konstantin Khomoutov <flatworm@users.sourceforge.net>
-Build-Depends: debhelper (>= 10.0.0)
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
 Homepage: http://tkabber.jabber.ru
 Vcs-Browser: https://salsa.debian.org/xmpp-team/tkabber
 Vcs-Git: https://salsa.debian.org/xmpp-team/tkabber.git

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	dh_compress -X.tcl -X.xrdb
 
 VERSION = 1.1.2
-DATE = 20230226
+DATE = 20241018
 
 get-orig-source:
 	wget -O tkabber_$(VERSION)+$(DATE).orig.tar.gz \

## tkabber 1.1.2+20250413

=== debian/changelog ===
tkabber (1.1.2+20250413-1) unstable; urgency=medium

  * New upstream fossil snapshot.
  * Add Tcl/Tk 9.0 as alternative dependencies.
  * Add tdom to the list of dependencies for faster parsing of XML.
  * Add tk-tktray to the list of recommended dependencies for displaying
    an icon in the system tray.
  * Bump the standards version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 14 Apr 2025 11:25:05 +0300

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	dh_compress -X.tcl -X.xrdb
 
 VERSION = 1.1.2
-DATE = 20241018
+DATE = 20250413
 
 get-orig-source:
 	wget -O tkabber_$(VERSION)+$(DATE).orig.tar.gz \

## tkabber 1.1.2+20250723

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 2048 2013-12-31 18:00:30Z sergei $
+# Tkabber Makefile
 
 PREFIX = /usr/local
 TKABBERDIR = $(PREFIX)/share/tkabber
@@ -7,24 +7,24 @@
 
 SUBDIRS = emoticons \
 	  ifacetk   \
-	  mclistbox \
 	  msgs      \
 	  pixmaps   \
 	  plugins   \
 	  sounds    \
 	  tclxmpp   \
-	  trans
+	  tk        \
+	  trans     \
+	  ttk
 
 all: doc
 
 doc: README doc/tkabber.html
 
 README: doc/tkabber.xml
-	(cd doc ; DISPLAY= xml2rfc tkabber.xml tkabber.txt)
-	mv doc/tkabber.txt README
+	DISPLAY= xml2rfc $< -o $@ --text
 
 doc/tkabber.html: doc/tkabber.xml
-	(cd doc ; DISPLAY= xml2rfc tkabber.xml tkabber.html)
+	DISPLAY= xml2rfc $< -o $@ --html
 
 install: install-bin install-doc install-examples
 
@@ -49,4 +49,10 @@
 	install -d $(DESTDIR)$(DOCDIR)
 	cp -dr --no-preserve=ownership examples $(DESTDIR)$(DOCDIR)
 
-.PHONY: all doc install install-bin install-doc install-examples
+# Update Tkabber from Fossil repository
+up:
+	test -f .fslckout -o -f _FOSSIL_ && fossil pull && fossil update
+	test -d tclxmpp && cd tclxmpp && \
+	    test -f .fslckout -o -f _FOSSIL_ && fossil pull && fossil update
+
+.PHONY: all doc install install-bin install-doc install-examples up

=== debian/changelog ===
tkabber (1.1.2+20250723-1) unstable; urgency=medium

  * New upstream fossil snapshot.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 10 Aug 2025 12:54:02 +0300

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Sergei Golovan <sgolovan@debian.org>
 Uploaders: Konstantin Khomoutov <flatworm@users.sourceforge.net>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: http://tkabber.jabber.ru
 Vcs-Browser: https://salsa.debian.org/xmpp-team/tkabber
 Vcs-Git: https://salsa.debian.org/xmpp-team/tkabber.git
 
 Package: tkabber
 Architecture: all
-Depends: tcl, tk, bwidget, tcllib, tcl-tls, sensible-utils, ${misc:Depends}
+Depends: tk | tk9.0, bwidget, tcllib, tcl-tls, tdom, sensible-utils, ${misc:Depends}
 Breaks: tkabber-plugins (<< 1.1.2+20160101)
-Recommends: tcl-udp, libtk-img
+Recommends: tcl-udp, libtk-img, tk-tktray
 Suggests: tkabber-plugins (>= 1.1.2+20160101), tcl-snack
 Description: GUI client for XMPP (Jabber) instant messaging protocol
  Tkabber is a GUI client for XMPP (Jabber) instant messaging protocol.

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	dh_compress -X.tcl -X.xrdb
 
 VERSION = 1.1.2
-DATE = 20250413
+DATE = 20250723
 
 get-orig-source:
 	wget -O tkabber_$(VERSION)+$(DATE).orig.tar.gz \

=== debian/watch ===
version=3
http://files.jabber.ru/tkabber/tkabber.*-([\d+\.]+|\d+).tar.(gz|xz) debian uupdate
